
TYPO3.Flow - Feature # 1199

Status: Resolved Priority: Must have
Author: Ingo Renner Category: Cache
Created: 2008-08-01 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Add a method findByTag() to F3_FLOW3_Cache_AbstractCache
Description

Although one can store cache entries with tags, one can only load cache entries by identifier. Thus a method findByTag() would be
useful.

Related issues:
duplicated by TYPO3.Flow - Feature # 1786: findByTag support for the cache fr... Closed 2008-10-22

Associated revisions
Revision ef993404 - 2008-10-28 16:46 - Karsten Dambekalns
FLOW3:
    -  some cleanup in Cache component, refs #1843, refs #1844
    -  added findByTag() to cache frontends, fixes #1199

History
#1 - 2008-08-22 13:33 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns
- Start date changed from 2008-08-01 to 2008-08-22

And that method would return an array with all found entries? Like the memcached backend findEntriesByTag() method did?

#2 - 2008-08-27 07:05 - Ingo Renner

yes, exactly. I think I implemented that already in the backport for TYPO3 4.x, you can find it on the 4.x core list...

#3 - 2008-08-27 08:12 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted
- Priority changed from Must have to Should have

#4 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#5 - 2008-10-28 16:50 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
Applied in changeset r1395.
